%global realname riak_pb
%global upstream basho


Name:		erlang-%{realname}
Version:	2.3.2
Release:	%mkrel 5
BuildArch:	noarch
Summary:	Riak Protocol Buffers Messages
Group:		Development/Erlang
License:	ASL 2.0
URL:		https://github.com/%{upstream}/%{realname}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-riak_pb-0001-Remove-export_all-directive.patch
# FIXME add Python and Java bindings
BuildRequires:	erlang-hamcrest
BuildRequires:	erlang-protobuffs >= 0.7.0
BuildRequires:	erlang-rebar


%description
The message definitions for the Protocol Buffers-based interface to Riak and
various Erlang-specific utility modules for the message types.


%prep
%setup -q -n %{realname}-%{version}
%autopatch -p1


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license LICENSE
%doc README.md
%{erlang_appdir}/


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.3.2-5.mga10
+ Revision: 2213658
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 2.3.2-4.mga9
+ Revision: 1839230
- Mageia 9 Mass Rebuild

* Sun Dec 20 2020 wally <wally> 2.3.2-3.mga8
+ Revision: 1661759
- make pkg noarch

* Wed Feb 12 2020 umeabot <umeabot> 2.3.2-2.mga8
+ Revision: 1511369
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 wally <wally> 2.3.2-1.mga7
+ Revision: 1296386
- new version 2.3.2 (sync with Fedora)

* Sat May 07 2016 neoclust <neoclust> 2.1.2.0-6.mga6
+ Revision: 1010454
- imported package erlang-riak_pb

